# $Revision: 1.12 $, $Date: 2011/06/09 12:59:36 $
#
%define		module		PyYAML
%define		module_dir	yaml
#
Summary:	YAML parser and emitter module for Python
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python
Name:		python-%{module}
Version:	3.10
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://pyyaml.org/download/pyyaml/%{module}-%{version}.tar.gz
# Source0-md5:	74c94a383886519e9e7b3dd1ee540247
URL:		http://pyyaml.org/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	yaml-devel
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%description -l pl.UTF-8
YAML jest formatem serializacji danych czytelnym dla człowieka,
zaprojektowanym do interakcji w językach skryptowych. PyYAML jest
analizatorem i generatorem tego formatu dla języka Python.

PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

PyYAML może być użyty w szerokiej gamie zastosowań, od złożonych
plików konfiguracyjnych po serializację i przechowywanie obiektów.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py --with-libyaml build


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
install examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/%{module_dir}
%attr(755,root,root) %{py_sitedir}/_yaml.so
%{py_sitedir}/%{module_dir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyYAML.spec,v $
Revision 1.12  2011/06/09 12:59:36  lisu
- updated to 3.10
- adapterized

Revision 1.11  2011/02/05 00:59:42  sparky
- corrected lang tag in Summary

Revision 1.10  2011/01/05 11:38:10  matkor
- Release 4. Enabled extra native LibYAML bindings.

Revision 1.9  2010/07/08 08:36:59  arekm
- release 3

Revision 1.8  2009/11/09 20:33:45  megabajt
- it's NOT currently noarch package (uses %{py_sitedir} which is arch-dependent)
- fixed encoding in pl summary and description
- release 2

Revision 1.7  2009/09/10 10:07:01  lisu
- missing change in previous commit log

Revision 1.6  2009/09/10 09:55:44  lisu
- up to 3.09
- BR: rpm-pythonprov
- python specific .egg-info
- proper encoding in pl desc
- build noarch

Revision 1.5  2009/01/06 10:54:05  lisu
- up to 3.08
- use python macro

Revision 1.4  2008/12/19 14:22:40  lisu
- up to 3.06
- add .egg-info
- adapter

Revision 1.3  2008/02/12 09:22:05  leafnode
- updated to 3.05, rel 1

Revision 1.2  2007/05/10 06:31:21  qboosh
- formatting

Revision 1.1  2007/05/04 19:04:18  beorn
- new
